Create a new tag group
curl --request POST \
--url https://external.pleo.io/v0/tag-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"code": "<string>",
"name": "<string>",
"metadata": {}
}
'import requests
url = "https://external.pleo.io/v0/tag-groups"
payload = {
"archived": True,
"code": "<string>",
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({archived: true, code: '<string>', name: '<string>', metadata: {}})
};
fetch('https://external.pleo.io/v0/tag-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"archived": false,
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"companyId": "c04c7e9e-6c15-11ee-b962-0242ac120003",
"createdAt": "2023-08-23T03:11:48Z",
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"metadata": {
"externalExtraId": "f302f9ec-6c17-11ee-b962-0242ac120002"
},
"name": "Projects",
"updatedAt": "2023-08-23T03:11:48Z",
"totalTagsCount": 4
}
}Tag Groups
Creates a new tag group resource
POST
/
v0
/
tag-groups
Create a new tag group
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
Unique identifier of the company the tag group will be associated with.
Body
application/json;charset=UTF-8
Boolean flag used to determine whether the tag group is archived.
Code used in the external ERP/accounting system to identify the tag group.
User readable name of the tag group.
Maximum string length:
255Place to store additional information about the tag group.
Show child attributes
Show child attributes
Response
default - application/json;charset=UTF-8
default response
Show child attributes
Show child attributes
Was this page helpful?